<?php
/**
 * The template for displaying featured-two-columns items
 *
 * @package Devotepress
 */
?>

<?php
$enable = get_theme_mod( 'devotepress_featured_two_columns_option', 'disabled' );

if ( ! devotepress_check_section( $enable ) ) {
	// Bail if featured-two-columns section is disabled.
	return;
}

$headline = get_theme_mod( 'devotepress_featured_two_columns_headline', esc_html__( 'Featured Two Columns', 'devotepress' ) );
?>
<div id="devotepress-featured-two-columns-section" class="devotepress-featured-two-columns-section section devotepress-section">
	<div class="wrapper">
		<?php if ( $headline ) : ?>
			<div class="section-heading-wrapper">
			<?php if ( $headline ) : ?>
				<div class="section-title-wrapper">
					<h2 class="section-title"><?php echo wp_kses_post( $headline ); ?></h2>
				</div><!-- .section-title-wrapper -->
			<?php endif; ?>
			</div><!-- .section-heading-wrapper -->
		<?php endif; ?>

		<div class="section-content-wrapper devotepress-featured-two-columns-content-wrapper">
			<div class="grid">
				<div class="grid-sizer"></div>
				<?php get_template_part( 'template-parts/featured-two-columns/post-types', 'featured-two-columns' ); ?>
			</div>
		</div><!-- .featured-two-columns-wrapper -->
	</div><!-- .wrapper -->
</div><!-- #featured-two-columns-content-section -->
